Bug 920145 - nm_system_iface_set_up: assertion `ifindex > 0' failed
Summary: nm_system_iface_set_up: assertion `ifindex > 0' failed
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: NetworkManager
Version: 19
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dan Williams
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-03-11 13:03 UTC by Zdenek Kabelac
Modified: 2013-04-10 01:27 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-04-10 01:27:03 UTC


Attachments (Terms of Use)

Description Zdenek Kabelac 2013-03-11 13:03:02 UTC
Description of problem:

Journal logs this message:

nm_system_iface_set_up: assertion `ifindex > 0' failed

Whatever that means - it happens when I detach my phone from USB,
after it's been charged. The phone was set in PCStudio mode - so,
it's been usable as ACM modem during charge.

usb 1-3: USB disconnect, device number 6
modem-manager[547]: <info>  (tty/ttyACM0): released by modem /sys/devices/pci0000:00/0000:00:1a.7/usb1/1-3
<info>  (tty/ttyACM0): released by modem /sys/devices/pci0000:00/0000:00:1a.7/usb1/1-3
<info> (ttyACM0): device state change: disconnected -> unmanaged (reason 'removed') [30 10 36]
<info> (ttyACM0): cleaning up...
<info> (ttyACM0): taking down device.
nm_system_iface_set_up: assertion `ifindex > 0' failed

Version-Release number of selected component (if applicable):
NetworkManager-0.9.8.0-1.fc19.x86_64


How reproducible:


Steps to Reproduce:
1. detach smartphone from USB
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Jirka Klimes 2013-03-13 08:45:15 UTC
Fixed upstream:
cc66b547cfcc7b7dcc45c4c47fccec2c483d225d (master)
a1eff35df5c2cf94e5ca13e5f3b12a11c976d005 (nm-0-9-8)

It will eventually roll into Fedora.

Comment 2 Fedora Update System 2013-03-28 01:24:33 UTC
network-manager-applet-0.9.8.1-1.git20130327.fc18,NetworkManager-0.9.8.1-1.git20130327.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/network-manager-applet-0.9.8.1-1.git20130327.fc18,NetworkManager-0.9.8.1-1.git20130327.fc18

Comment 3 Fedora Update System 2013-03-29 01:33:24 UTC
Package network-manager-applet-0.9.8.1-1.git20130327.fc18, NetworkManager-0.9.8.1-1.git20130327.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing network-manager-applet-0.9.8.1-1.git20130327.fc18 NetworkManager-0.9.8.1-1.git20130327.fc18'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-4549/network-manager-applet-0.9.8.1-1.git20130327.fc18,NetworkManager-0.9.8.1-1.git20130327.fc18
then log in and leave karma (feedback).

Comment 4 Fedora End Of Life 2013-04-03 20:36:07 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19

Comment 5 Fedora Update System 2013-04-10 01:27:05 UTC
network-manager-applet-0.9.8.1-1.git20130327.fc18, NetworkManager-0.9.8.1-1.git20130327.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.